Skip to main content
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
balance-updates
Wallet - Balance Updates
curl --request GET \
  --url https://api.dex.chainstream.io/v2/wallet/{chain}/{walletAddress}/balance-updates \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "accountOwnerAddress": "<string>",
      "balanceChange": "<string>",
      "balanceChangeInNative": "<string>",
      "balanceChangeInUsd": "<string>",
      "blockHash": "<string>",
      "blockHeight": 123,
      "blockTimestamp": 123,
      "changeType": "INCREASE",
      "index": 123,
      "postBalance": "<string>",
      "postBalanceInNative": "<string>",
      "postBalanceInUsd": "<string>",
      "preBalance": "<string>",
      "preBalanceInNative": "<string>",
      "preBalanceInUsd": "<string>",
      "tokenAccountAddress": "<string>",
      "tokenAddress": "<string>",
      "transactionSignature": "<string>",
      "type": "SOL",
      "blockSlot": 123
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chain
enum<string>
required

A chain name listed in supported networks Supported blockchain chains

Available options:
sol,
eth,
bsc
walletAddress
string
required

An address of a wallet

Query Parameters

cursor
string

Pagination cursor

limit
integer<int64>
default:20

Number of results per page

direction
enum<string>
default:next

Pagination direction

Available options:
next,
prev
tokenAddress
string

An address of a token

timeFrom
integer<int64>

Start timestamp (Unix epoch in seconds)

timeTo
integer<int64>

End timestamp (Unix epoch in seconds)

type
enum<string>

Balance type filter (SOL for native, SPL for tokens) Balance token type

Available options:
SOL,
SPL
changeType
enum<string>

Balance change direction filter (INCREASE or DECREASE) Balance change type

Available options:
INCREASE,
DECREASE

Response

200 - application/json

Successful response

Generic pagination response

data
object[]
required

Page data

endCursor
string | null

Cursor for the end of current page

Example:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

Example:

false

hasPrev
boolean

Whether there is a previous page

Example:

false

startCursor
string | null

Cursor for the start of current page

Example:

"eyJpZCI6InN0YXJ0In0="